Ipelib

- Main Page
- Related Pages
- Modules
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
ipe::InflateSource Class Reference
Ipe Utilities

`#include <ipeutils.h>`

Inherits ipe::DataSource.

## Public Member Functions

| InflateSource (DataSource &source)
virtual | ~InflateSource ()
virtual int | getChar ()
Public Member Functions inherited from ipe::DataSource
virtual | ~DataSource ()=0

## Detailed Description

Filter source adding flate decompression.

## Constructor & Destructor Documentation

InflateSource::InflateSource | ( | DataSource & | source | ) |

InflateSource::~InflateSource | ( |  | ) |

virtual

## Member Function Documentation

int InflateSource::getChar | ( |  | ) |

virtual

Get one more character, or EOF.

Implements ipe::DataSource.

The documentation for this class was generated from the following files:

- ipeutils.h
- ipeutils.cpp